Name:          virt-manager
Version:       1.1.0
Release:       2mamba
Summary:       Virtual Machine Manager
Group:         Applications/Emulators
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://virt-manager.org
Source:        http://virt-manager.org/download/sources/virt-manager/virt-manager-%{version}.tar.gz
Patch0:        virt-manager-1.0.1-fix-changing-graphics-type.patch
Patch1:        virt-manager-1.0.1-disable-packagekit.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      libvirt
Requires:      python-libvirt
Conflicts:     python-virtinst
Requires:      python-urlgrabber
Requires:      bridge-utils
Requires:      python-gnome
Requires:      python-libvirt-glib
Requires:      python-libxml2
Requires:      python-ipaddr
Requires:      gnome-icon-theme
Requires:      libspice-gtk
Requires:      spice-gtk
Requires:      libvte
Requires:      gtk-vnc
Requires:      pygobject
Requires:      qemu
Requires:      libosinfo
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The "Virtual Machine Manager" application is a desktop user interface for managing virtual machines.
It presents a summary view of running domains, their live performance & resource utilization statistics.
The detailed view graphs performance & utilization over time.
Wizards enable the creation of new domains, and configuration & adjustment of a domain's resource allocation & virtual hardware.
An embedded VNC client viewer presents a full graphical console to the guest domain.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python%{python_version} \
   --install-lib=%{python_sitearch}

%find_lang %{name}

#rm -fr %{buildroot}/var/scrollkeeper

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
   update-desktop-database -q %{_datadir}/applications 
fi
exit 0

%postun
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
   update-desktop-database -q %{_datadir}/applications 
fi 
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/virt-clone
%{_bindir}/virt-convert
#%{_bindir}/virt-image
%{_bindir}/virt-install
%{_bindir}/virt-manager
%{_bindir}/virt-xml
%{_datadir}/glib-2.0/schemas/org.virt-manager.virt-manager.gschema.xml
%dir %{_datadir}/virt-manager
%dir %{_datadir}/virt-manager/ui
%{_datadir}/virt-manager/ui/*.ui
%{_datadir}/virt-manager/virt-clone
%{_datadir}/virt-manager/virt-convert
#%{_datadir}/virt-manager/virt-image
%{_datadir}/virt-manager/virt-install
%{_datadir}/virt-manager/virt-manager
%{_datadir}/virt-manager/virt-xml
%dir %{_datadir}/virt-manager/virtcli
%{_datadir}/virt-manager/virtcli/*.py
%dir %{_datadir}/virt-manager/virtconv
%{_datadir}/virt-manager/virtconv/*.py
#%dir %{_datadir}/virt-manager/virtconv/parsers
#%{_datadir}/virt-manager/virtconv/parsers/*.py
%dir %{_datadir}/virt-manager/virtinst
%{_datadir}/virt-manager/virtinst/*.py
%dir %{_datadir}/%{name}/virtManager
%{_datadir}/%{name}/virtManager/*.py
%{_datadir}/appdata/virt-manager.appdata.xml
%{_datadir}/applications/virt-manager.desktop
%{_datadir}/icons/hicolor/*/apps/virt-manager.png
%{_datadir}/virt-manager/icons/hicolor/*
%{_mandir}/man1/virt-clone.1*
%{_mandir}/man1/virt-convert.1*
#%{_mandir}/man1/virt-image.1*
%{_mandir}/man1/virt-install.1*
%{_mandir}/man1/virt-manager.1*
%{_mandir}/man1/virt-xml.1*
#%{_mandir}/man5/virt-image.5*
%doc COPYING
# ChangeLog NEWS README TODO

%changelog
* Mon Oct 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-2mamba
- require spice-gtk to support usb redirection

* Fri Sep 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1mamba
- update to 1.1.0
- require pygobject and qemu

* Tue May 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-6mamba
- upstream patch to fix configuration errors after changing graphics type
- disable packagekit check

* Tue May 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-5mamba
- require gtk-vnc and libvte instead of python-* packages to switch to gtk3 via introspection

* Mon May 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-4mamba
- added requirement for libspice-gtk
- install translations and desktop file

* Sun May 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-3mamba
- add conflict with python-virtinst

* Sat May 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-2mamba
- add some needed requirements and fix glib-compile-schemas in %post script

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Thu Feb 20 2014 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Thu Jul 04 2013 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Thu Apr 04 2013 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic version update by autodist

* Fri Aug 17 2012 Automatic Build System <autodist@mambasoft.it> 0.9.4-1mamba
- automatic version update by autodist

* Wed Jun 13 2012 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Sun May 01 2011 Automatic Build System <autodist@mambasoft.it> 0.8.7-1mamba
- automatic update by autodist

* Wed Feb 09 2011 Automatic Build System <autodist@mambasoft.it> 0.8.6-1mamba
- automatic update by autodist

* Wed Oct 27 2010 Automatic Build System <autodist@mambasoft.it> 0.8.5-1mamba
- automatic update by autodist

* Tue Jun 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.4-2mamba
- added requirement for python-gnome and python-vte

* Thu Mar 25 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.8.4-1mamba
- update to 0.8.4

* Sun Mar 21 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.8.3-1mamba
- package created by autospec
